import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/recommend/type/page`,
    method: 'post',
    data
  })
}

// 新增 / 编辑
export function submit(data) {
  return request({
    url: `/recommend/type/saveOrUpdate`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/recommend/type/get/${id}`,
    method: 'get'
  })
}

// 删除
export function remove(id) {
  return request({
    url: `/recommend/type/delete/${id}`,
    method: 'delete'
  })
}